Check Rails version before accessing ::Rails::Railtie #113

Closed
sgronblo opened this Issue Feb 24, 2012 · 2 comments

Projects

None yet

2 participants

@sgronblo

When requiring simplecov in a Rails 2 project, I get an uninitialized constant error due to ::Rails::Railtie. If I comment out the part that loads the railtie.rb file, code coverage generation works fine. Maybe you could define the Rake task in a different way if using Rails 2 or simply refrain from defining it if RailsTie is uninitialized?

@colszowka
Owner

Damn, that's a big regression. Will fix it today and release a new gem.

@colszowka colszowka closed this in 64bfb5d Feb 24, 2012
@colszowka
Owner

Just pushed 0.6.1 to Rubygems.org, should resolve this.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment